<?php
/**
 * Free/busy access control for free/busy exports.
 *
 * PHP version 5
 *
 * @category Kolab
 * @package  Kolab_FreeBusy
 * @author   Gunnar Wrobel <wrobel@pardus.de>
 * @license  http://www.fsf.org/copyleft/lgpl.html LGPL
 * @link     http://pear.horde.org/index.php?package=Kolab_FreeBusy
 */

/**
 * Free/busy access control for free/busy exports.
 *
 * Copyright 2010 Klarälvdalens Datakonsult AB
 *
 * See the enclosed file COPYING for license information (LGPL). If you did not
 * receive this file, see
 * http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 * @category Kolab
 * @package  Kolab_FreeBusy
 * @author   Gunnar Wrobel <wrobel@pardus.de>
 * @license  http://www.fsf.org/copyleft/lgpl.html LGPL
 * @link     http://pear.horde.org/index.php?package=Kolab_FreeBusy
 */
interface Horde_Kolab_FreeBusy_Export_Freebusy_Acl
{
    /**
     * Which partials need to be combined into the final vCalendar information?
     *
     * @return array|PEAR_Error The list of files to be combined.
     */
    public function getFiles();

    /**
     * Purge the ACL information.
     *
     * @param string $file Name of the cached ACL information.
     *
     * @return boolean|PEAR_Error True if purging worked.
     */
    public function purge($file);

    public function store($file, $fb);
}