<?php
/**
 * Setup autoloading for the tests.
 *
 * PHP version 5
 *
 * @category   Kolab
 * @package    Kolab_FreeBusy
 * @subpackage UnitTests
 * @author     Gunnar Wrobel <wrobel@pardus.de>
 * @license    http://www.fsf.org/copyleft/lgpl.html LGPL
 * @link       http://pear.horde.org/index.php?package=Kolab_FreeBusy
 */

/** Load basic definitions */
require_once 'PHPUnit/Framework/TestCase.php';


require_once 'PEAR.php';
require_once 'Log.php';
require_once 'Log/null.php';
require_once 'Log/observer.php';

require_once 'Horde/Prefs.php';
require_once 'Horde/Date.php';
require_once 'Horde/Kolab/FreeBusy/Imap.php';
require_once 'Horde/Kolab/Test/FreeBusy.php';
require_once 'Horde/Kolab/Test/Storage.php';
require_once 'Horde/Kolab/FreeBusy.php';
require_once 'Horde/Kolab/FreeBusy/Cache/Freebusy/Partials.php';
require_once 'Horde/Kolab/FreeBusy/Cache/DB.php';
require_once 'Horde/Kolab/FreeBusy/Cache/DB/xacl.php';

class Log_Observer_Mock extends Log_observer
{
    public $events = array();

    function notify($event)
    {
        $this->events[] = $event;
    }
}

class Owner_Stub
{
    function get()
    {
        return 'Mr. New';
    }
}

class Stub_User
{
    private $_groups;

    function __construct($groups)
    {
        $this->_groups = $groups;
    }

    function getGroupAddresses()
    {
        return $this->_groups;
    }
}

class Stub_Partials
extends Horde_Kolab_FreeBusy_Cache_Freebusy_Partials
{
    public function merge($vfb, $file, $extended_pvc)
    {
    }

    public function getMtimes($file)
    {
    }
}

class Stub_Xacl
extends Horde_Kolab_FreeBusy_Cache_DB_xacl
{
    private $_access;

    function __construct($access)
    {
        $this->_access = $access;
    }

    function has($file, $user)
    {
        return isset($this->_access[$file]) && in_array($user, $this->_access[$file]);
    }

}